<?php
/**
* Main file for the RSGallery Component
* @version $Id$
* @package RSGallery2
* @copyright (C) 2003 - 2006 RSGallery2
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* RSGallery is Free Software
**/
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

// initialize the rsg config file
require_once($mosConfig_absolute_path.'/administrator/components/com_rsgallery2/includes/config.class.php');
$rsgConfig = new rsgConfig();
$rsgConfig->loadConfig();

//include gallery utils
require_once($mosConfig_absolute_path.'/administrator/components/com_rsgallery2/config.rsgallery2.php');

//Include version information
require_once($mosConfig_absolute_path.'/administrator/components/com_rsgallery2/includes/version.rsgallery2.php');
$rsgVersion = new rsgalleryVersion();

//include page navigation
require_once($mosConfig_absolute_path.'/includes/pageNavigation.php');

// report all errors if in debug mode
if ($rsgConfig->get('debug'))
	error_reporting(E_ALL);

?>
<link href="<?php echo $mosConfig_live_site; ?>/components/com_rsgallery2/rsgallery.css" rel="stylesheet" type="text/css" />
<!--  Hide status bar information -->
<script type="text/javascript">
	function hidestatus(){
		window.status='';
		return true;
		}
	if (document.layers)
		document.captureEvents(Event.MOUSEOVER | Event.MOUSEOUT);
		document.onmouseover=hidestatus;
		document.onmouseout=hidestatus;
</script>

<?php

require_once( $mainframe->getPath( 'front_html' ) );

//Check for language files, if not found, default to english
if (file_exists($mosConfig_absolute_path.'/administrator/components/com_rsgallery2/language/'.$mosConfig_lang.'.php'))
	{
	include($mosConfig_absolute_path.'/administrator/components/com_rsgallery2/language/'.$mosConfig_lang.'.php');
	}
else
	{
	include($mosConfig_absolute_path.'/administrator/components/com_rsgallery2/language/english.php');
	}

// set Itemid for proper pathway and linking.  contributed by Jeckel
if (! isset($Itemid) || empty($Itemid) || $Itemid == '99999999') {
    $query = "SELECT id"
        . "\n FROM #__menu"
        . "\n WHERE published = 1"
        . "\n AND access <= ".$GLOBALS['my']->gid
        . "\n AND link = 'index.php?option=".$_REQUEST['option']."'"
        . "\n ORDER BY link"
        ;
    $GLOBALS['database']->setQuery( $query );
    $mitems = $GLOBALS['database']->loadObjectList();
    if (count($mitems) > 0)
        $Itemid = $mitems[0]->id;
}

if (isset($_REQUEST['page']))
    $page = mosGetParam ( $_REQUEST, 'page'  , ''); 
else
    $page = '';

    
switch ($page)
{
case "test":
	test();
	break;
case 'inline':
    if (isset($_REQUEST['catid'])) $catid = mosGetParam ( $_REQUEST, 'catid'  , ''); 
    if (isset($_REQUEST['id'])) $id = mosGetParam ( $_REQUEST, 'id'  , ''); 
	galleryUtils::showRSPath($catid, $id);
    HTML_RSGALLERY::RSGalleryTitleblock($catid,NULL);
	HTML_RSGALLERY::RSGalleryInline($id, $catid);
	break;
case 'vote':
	addVote();
	break;
case 'addcomment':
	addComment();
	break;
case 'delete_comment':
    if (isset($_REQUEST['id'])) $id = mosGetParam ( $_REQUEST, 'id'  , ''); 
    deleteComment($id);
    break;
case "slideshow":
    if (isset($_REQUEST['catid'])) $catid = mosGetParam ( $_REQUEST, 'catid'  , ''); 
    if (isset($_REQUEST['id'])) $id = mosGetParam ( $_REQUEST, 'id'  , ''); 
    galleryUtils::showRSPath($catid);
    HTML_RSGALLERY::RSGalleryTitleblock($catid, null);
	slideshow($id,$catid);
    HTML_RSGALLERY::RSGalleryFooter(); 
	break;
case "newusercat":
	userCat($my_id, 0);
	break;
case "editusercat":
	usercat();
	break;
case "makeusercat":
	makeusercat(NULL);
	break;
case "delusercat":
    if (isset($_REQUEST['catid'])) $catid = mosGetParam ( $_REQUEST, 'catid'  , '');
	delusercat($catid);
	break;
case "usercatproperties":
	userCatProperties();
	break;
case "edit_image":
    if (isset($_REQUEST['id'])) $id = mosGetParam ( $_REQUEST, 'id'  , '');
	edit_image($id);
	break;
case "delete_image":
	delete_image($id);
	break;
case "save_image":
	save_image();
	break;
case "accessctl":
	accessControl($catid);
	break;
case "save_acl":
	save_acl();
	break;
case "frontupload":
    if (isset($_REQUEST['catid']))
        $catid = mosGetParam ( $_REQUEST, 'catid'  , '');
    else
        $catid = NULL;
	frontUpload($catid);
	break;
case "my_galleries":
    HTML_RSGALLERY::RSGalleryTitleblock(null, null);
    my_galleries();
    HTML_RSGALLERY::RSGalleryFooter();
    break;
case "doFrontUpload":
	doFrontUpload();
	break;
case "downloadfile":
	if (isset($_REQUEST['id'])) $id = mosGetParam ( $_REQUEST, 'id'  , '');
	downloadFile($id);
	break;
case 'viewChangelog':
    viewChangelog();
    break;
case 'regenerate_thumbs':
    galleryUtils::regenerateThumbs();
    break;
default:
    showMainPage();
}//End switch

function test() {
getCurrentDate();
}

function downloadFile($id) {
	global $mosConfig_absolute_path, $rsgConfig;
	
	$filename = galleryUtils::getFileNameFromId($id);
	$file = $mosConfig_absolute_path.$rsgConfig->get('imgPath_original')."/".$filename;
	$download = new galleryDownload();
 	$download->set_byfile($file); //Download from a file
 	$download->use_resume = false; //Enable Resume Mode
 	$download->download(); //Download File
}

function showMainPage() {
global $database, $rsgConfig, $mosConfig_absolute_path;

    //Set config values
    $displayRandom			= $rsgConfig->get("displayRandom");
    $displayLatest			= $rsgConfig->get("displayLatest");
    $user_cat				= $rsgConfig->get("uu_createCat");
    $PageSize				= $rsgConfig->get("display_thumbs_maxPerPage");
    $columns				= $rsgConfig->get("display_thumbs_colsPerPage");
    $intro_text				= $rsgConfig->get("intro_text");
    //$dropdown               = 4;//RS: Temporary, need to fix this

    if (isset($_REQUEST['catid']))
        $catid = mosGetParam ( $_REQUEST, 'catid'  , '');
    else
        $catid = NULL;
    
    if ($catid)
		{
        if (isset($_REQUEST['limit']))
            $limit = mosGetParam ( $_REQUEST, 'limit'  , '');
        else
            $limit = $PageSize;
            
        if (isset($_REQUEST['limitstart']))
            $limitstart = mosGetParam ( $_REQUEST, 'limitstart'  , '');
        else
            $limitstart = 0;
        $database->setQuery("SELECT * FROM #__rsgallery2_galleries WHERE parent = '$catid'");
        $rows = $database->loadObjectList();
		galleryUtils::showRSPath($catid);						                        //Show the breadcrumbs.
		HTML_RSGALLERY::RSGalleryTitleblock($catid, null);		        //Show the titleblock for $catid
		HTML_RSGALLERY::RSGalleryList($rows, NULL, $catid );						//This show the subcats if they are available
		HTML_RSGALLERY::RSShowPictures ($catid, $limit, $limitstart);	//Show the pictures
		echo "<br />";
		}
	else
		{
		//Set limits for pagenav
		if (isset($_REQUEST['limit']))
            $limit = mosGetParam ( $_REQUEST, 'limit'  , '');
        else
            $limit = 5;
            
        if (isset($_REQUEST['limitstart']))
            $limitstart = mosGetParam ( $_REQUEST, 'limitstart'  , '');
        else
            $limitstart = 0;

		//Get total number of records for paging
		$database->setQuery("SELECT count(*) FROM #__rsgallery2_galleries WHERE published = '1' AND parent = '0'");
		$total2 = $database->loadResult();

		//New instance of mosPageNav
		$pageNav2 = new mosPageNav( $total2, $limitstart, $limit  );
	
		//Prepare query for gallery list
    	$database->setQuery("SELECT * FROM #__rsgallery2_galleries".
    					" WHERE published = 1 AND parent = 0".
    					" ORDER BY ordering ASC".
						" LIMIT $pageNav2->limitstart, $pageNav2->limit ");
        $galleries = $database->loadObjectList();
    	//End pagenav
        galleryUtils::showRSPath(NULL);						//Show the breadcrumbs.
		HTML_RSGALLERY::RSGalleryTitleblock(null, $intro_text);	//Show the titleblock for RSGallery
		HTML_RSGALLERY::RSGalleryList($galleries, $pageNav2, NULL);		//Show the galleries

		if ( $rsgConfig->get( 'displayRandom' ) == 1 )
			galleryUtils::showRandom();				//This row shows the random pictures, if set in the administrator
		if ( $rsgConfig->get( 'displayLatest' )==1)
			galleryUtils::ShowLatest();				//Show the random pictures, if set in the administrator
		}
	  HTML_RSGALLERY::RSGalleryFooter(); 
}


    
function my_galleries() {
global $my, $database, $rsgConfig, $mosConfig_absolute_path;
$user_cat    = $rsgConfig->get("uu_enabled");
$registered  = $rsgConfig->get("uu_registeredOnly");

require_once($mosConfig_absolute_path. "/includes/pageNavigation.php");

//Set limits for pagenav
$limit      = trim( mosGetParam( $_REQUEST, 'limit', 10 ) );
$limitstart = trim( mosGetParam( $_REQUEST, 'limitstart', 0 ) );

//Get total number of records for paging
$database->setQuery("SELECT count(*) FROM #__rsgallery2_files WHERE userid = '$my->id'");
$total = $database->loadResult();

//New instance of mosPageNav
$pageNav = new mosPageNav( $total, $limitstart, $limit  );

if ($user_cat == 1)
    {
    $database->setQuery("SELECT * FROM #__rsgallery2_files".
                        " WHERE userid = '$my->id'".
                        " LIMIT $pageNav->limitstart, $pageNav->limit ");
    $images = $database->loadObjectList();
    $database->setQuery("SELECT * FROM #__rsgallery2_galleries WHERE parent = 0 AND uid = '$my->id'");
    $rows = $database->loadObjectList();
    
    if ($registered == 1)
        {
        if($my->id)
            {
            //User is logged in, show it all!
            HTML_RSGALLERY::myGalleries($rows, $images, $pageNav);
            }
        else
            {
            //Not logged in, back to main page
            mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2"),_RSGALLERY_NO_USERCATS);
            }
        }
    else
        {
        //
        }
    }
else
    {
    mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2"),_RSGALLERY_NO_USERCATS);
    }
}

function edit_image($id) {
global $database;
if ($id)
    {
    $database->setQuery("SELECT * FROM #__rsgallery2_files WHERE id = '$id'");
    $rows = $database->loadObjectList();
    HTML_RSGALLERY::edit_image($rows);
    }
}

function save_image() {
	global $database;
    if (isset($_REQUEST['id'])) $id = mosGetParam ( $_REQUEST, 'id'  , '');
    if (isset($_REQUEST['title'])) $title = mosGetParam ( $_REQUEST, 'title'  , '');
    if (isset($_REQUEST['descr'])) $description = mosGetParam ( $_REQUEST, 'descr'  , '');
    if (isset($_REQUEST['catid'])) $catid = mosGetParam ( $_REQUEST, 'catid'  , '');

	$database->setQuery("UPDATE #__rsgallery2_files SET ".
			"title = '$title', ".
			"descr = '$description', ".
            "gallery_id = '$catid' ".
			"WHERE id= '$id'");

	if ($database->query())
		{
		mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&amp;page=my_galleries"), _RSGALLERY_SAVE_SUCCESS );
		}
	else
		{
		echo "Error: ".mysql_error();
		}
	}
    
function delete_image($id) {
	global $my, $database;
    
    if (isset($_REQUEST['id'])) $id = mosGetParam ( $_REQUEST, 'id'  , '');
    
	if ($id)
		{
		$database->setQuery("SELECT userid, name FROM #__rsgallery2_files WHERE id = '$id'");
		$results = $database->loadObjectList();
		foreach($results as $result)
			{
			$filename	= $result->name;
            $userid     = $result->userid;
			}
            
        if ($userid == $my->id OR $my->usertype == 'Super Administrator')
            {
            //logged in user is owner or Super Administrator. OK to delete image
            imgUtils::deleteImage($filename);
            }
        else
            {
            //Not owner of image, redirect to my galleries
            mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"),_RSGALLERY_USERIMAGE_NOTOWNER);
            }
        mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"),_RSGALLERY_DELIMAGE_OK);
        }
    else
        {
        //No ID sent, no delete possible, back to my galleries
        mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"),'No Id provided. Contact component developer');
        }
	}
    
function slideshow($id,$catid) {
	global $database, $mosConfig_live_site, $mosConfig_absolute_path;
	$database->setQuery("SELECT * FROM #__rsgallery2_files WHERE gallery_id = '$catid' ORDER BY ordering ASC");
	$rows = $database->LoadObjectList();
	include($mosConfig_absolute_path."/components/com_rsgallery2/slideshow.rsgallery2.php");
	}
    
/**
 * Adds a vote to the database
 * @todo Make sure everone can only vote once.
 */
function addVote() {
	global $database;

    if (isset($_REQUEST['picid']))      $picid = mosGetParam ( $_REQUEST, 'picid'  , '');
    if (isset($_REQUEST['limitstart'])) $limitstart = mosGetParam ( $_REQUEST, 'limitstart'  , '');
	if (isset($_REQUEST['vote']))       $vote = mosGetParam ( $_REQUEST, 'vote'  , '');
        
    if ($vote)
		{
		//Retrieve values
		$database->setQuery("SELECT * FROM #__rsgallery2_files WHERE id = '$picid'");
		$rows = $database->loadObjectList();
		foreach ($rows as $row)
			{
			$votes = $row->votes + 1;
			$rating = $row->rating + $vote;
			$ordering = $row->ordering - 1;
			//Store new values
			$database->setQuery("UPDATE #__rsgallery2_files SET votes = '$votes', rating = '$rating' WHERE id = '$row->id'");
			if ($database->query())
				{
				?>
				<script type="text/javascript">
					alert("<?php echo _RSGALLERY_THANK_VOTING; ?>");
					location = '<?php echo sefRelToAbs("index.php?option=com_rsgallery2&page=inline&id=".$row->id."&catid=".$row->gallery_id."&limitstart=".$limitstart); ?>';
				</script>
				<?php
                //mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=inline&id=".$row->id."&catid=".$row->gallery_id."&limitstart=".$limitstart),_RSGALLERY_THANK_VOTING);
				}
			else
				{
				?>
				<script type="text/javascript">
					alert("<?php echo _RSGALLERY_VOTING_FAILED; ?>");
					location = '<?php echo sefRelToAbs("index.php?option=com_rsgallery2&page=inline&id=".$row->id."&catid=".$row->gallery_id."&limitstart=".$limitstart); ?>';
				</script>
				<?php
                //mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=inline&id=".$row->id."&catid=".$row->gallery_id."&limitstart=".$limitstart),_RSGALLERY_VOTING_FAILED);
				}
			}
		}
	else
		{
        //mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=inline&id=".$row->id."&catid=".$row->gallery_id."&limitstart=".$limitstart),_RSGALLERY_RATING_NOTSELECT);
		}
	}
    
/**
 * Deletes a comment from the frontend. It is only accessible to Super Administrator
 * @param int Id of comment to delete
 */
function deleteComment($id) {
global $database, $my;
if ($my->usertype == 'Super Administrator')
    {
    //go ahead, delete comment
    $sql = "DELETE FROM #__rsgallery2_comments".
           " WHERE id = '$id'";
    $database->setQuery($sql);
    if ($database->query())
        {
        mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2"),_RSGALLERY_COMMENT_DELETED);
        }
    else
        {
        mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2"),_RSGALLERY_COMMENT_NOT_DELETED);
        }
    }
else
    {
    //Not authorized, back to main screen
    mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2"),_RSGALLERY_COMMENT_NOT_DELETED);
    }
}

/**
 * Saves a comment into the database
 */
function addComment() {
	global $database, $rsgConfig;

    // die if commenting turned off
    if( $rsgConfig->get('displayComments') == false ) return;
    
    if (isset($_REQUEST['picid']))      $picid = mosGetParam ( $_REQUEST, 'picid'  , '');
    if (isset($_REQUEST['limitstart'])) $limitstart = mosGetParam ( $_REQUEST, 'limitstart'  , '');
    if (isset($_REQUEST['comment']))    $comment = mosGetParam ( $_REQUEST, 'comment'  , '');
    if (isset($_REQUEST['name']))       $name = mosGetParam ( $_REQUEST, 'name'  , '');
    if (isset($_REQUEST['ordering']))   $ordering = mosGetParam ( $_REQUEST, 'ordering'  , '');
    
	$database->setQuery("SELECT * FROM #__rsgallery2_files WHERE id = '$picid'");
	$rows = $database->loadObjectList();
	foreach ($rows as $row)
		{
		$id = $row->id;
		$catid= $row->gallery_id;
		}
	if (!isset($comment) || !isset($name))
		{
		//Back to image
		?>
		<script type="text/javascript">
			alert("<?php echo _RSGALLERY_COMMENT_FIELD_CHECK; ?>");
			location = '<?php echo sefRelToAbs("index.php?option=com_rsgallery2&page=inline&id=".$id."&catid=".$catid."&limitstart=".$limitstart); ?>';
		</script>
		<?php
		}
	else
		{
		$name = addslashes($name);
		$comment = addslashes($comment);
		$database->setQuery("INSERT INTO #__rsgallery2_comments".
                            " (name, comment, picid, date) VALUES".
                            " ('$name','$comment','$picid', now())");
		if ($database->query())
			{
			?>
			<script type="text/javascript">
				alert("<?php echo _RSGALLERY_COMMENT_ADDED; ?>");
				location = '<?php echo sefRelToAbs("index.php?option=com_rsgallery2&page=inline&id=".$picid."&catid=".$catid."&limitstart=".$limitstart); ?>';
			</script>
			<?php
			//Retrieve comment count and increment it, thanks to Allan Kissack
			$database->setQuery("SELECT * FROM #__rsgallery2_files WHERE id = '$picid'");
			$rows = $database->loadObjectList();
			foreach ($rows as $row)
				{
				$comments = $row->comments +1;
				$database->setQuery("UPDATE #__rsgallery2_files SET comments = '$comments' WHERE id = '$row->id'");
				if (!$database->query()) 
					{
					?>
					<script type="text/javascript">
						alert("<?php echo _RSGALLERY_COMMENT_COUNT_NOT_ADDED; ?>");
						location = '<?php echo sefRelToAbs("index.php?option=com_rsgallery2&page=inline&id=".$row->id."&catid=".$row->gallery_id."&limitstart=".$ordering); ?>';
					</script>
					<?php
					}
				}
			}
		else
			{
			?>
			<script type="text/javascript">
				alert("<?php echo _RSGALLERY_COMMENT_NOT_ADDED; ?>");
				location = '<?php echo sefRelToAbs("index.php?option=com_rsgallery2&page=inline&id=".$id."&catid=".$catid."&limitstart=".$limitstart); ?>';
			</script>
			<?php
			}
		}
	}

function userCat() {
	global $my, $rsgConfig, $database;
    if (isset($_REQUEST['catid']))      $catid = mosGetParam ( $_REQUEST, 'catid'  , '');	
    
    if ($catid != 0)
		{
		//Edit category
		$database->setQuery("SELECT * FROM #__rsgallery2_galleries WHERE id ='$catid'");
		$rows = $database->LoadObjectList();
		HTML_RSGALLERY::showUserGallery($rows);
		}
	else
		{
        //Check if maximum number of usercats are already made
        $count = galleryUtils::userCategoryTotal($my->id);
        if ($count >= $rsgConfig->get('uu_maxCat') )
            {
            mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"), _RSGALLERY_MAX_USERCAT_ALERT );
            }
		else
			{
			//New category
			HTML_RSGALLERY::showUserGallery(NULL);
			}

		}
	}
    
function makeusercat($id) {
	global $rsgConfig, $database, $my;
    
    if (isset($_REQUEST['parent']))         $parent = mosGetParam ( $_REQUEST, 'parent'  , '');
    if (isset($_REQUEST['catid']))          $id = mosGetParam ( $_REQUEST, 'catid'  , '');
    if (isset($_REQUEST['catname1']))       $catname1 = mosGetParam ( $_REQUEST, 'catname1'  , '');
    if (isset($_REQUEST['description']))    $description = mosGetParam ( $_REQUEST, 'description'  , '');
    if (isset($_REQUEST['published']))      $published = mosGetParam ( $_REQUEST, 'published'  , '');
    if (isset($_REQUEST['ordering']))       $ordering = mosGetParam ( $_REQUEST, 'ordering'  , '');
    
    $maxcats        = $rsgConfig->get('uu_maxCat');
	if ($id)
		{
		$database->setQuery("UPDATE #__rsgallery2_galleries SET ".
			"name = '$catname1', ".
			"description = '$description', ".
			"published = '$published', ".
            "parent = '$parent' ".
			"WHERE id = '$id' ");
		if ($database->query())
			{
			echo "Query gelukt";
            mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"), _RSGALLERY_ALERT_CATDETAILSOK );
			}
		else
			{
			echo "Query failed: ".mysql_error();
            mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"), _RSGALLERY_ALERT_CATDETAILSNOTOK );
			}
		}
	else
		{
		//New category
        $userCatTotal = galleryUtils::userCategoryTotal($my->id);
		if (!isset($parent))
			$parent = 0;
        if ($userCatTotal >= $maxcats)
            {
            ?>
            <script type="text/javascript">
            alert('<?php echo _RSGALLERY_MAX_USERCAT_ALERT;?>');
            location = '<?php echo sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"); ?>';
            </script>
            <?php
            //mosRedirect('index.php?option=com_rsgallery2&page=my_galleries',_RSGALLERY_MAX_USERCAT_ALERT);
            }
        else
            {
    		$database->setQuery("SELECT MAX(ordering) FROM #__rsgallery2_galleries WHERE uid = '$my->id'");
    		$ordering = $database->loadResult() + 1;
    		$database->setQuery("INSERT INTO #__rsgallery2_galleries ".
    			"(name, description, ordering, parent, published, user, uid) VALUES ".
    			"('$catname1','$description','$ordering','$parent','$published','1' ,'$my->id')");
    		if ($database->query())
    			{
    			?>
    			<script type="text/javascript">
    				alert('<?php echo _RSGALLERY_ALERT_NEWCAT; ?>');
    				location = '<?php echo sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"); ?>';
    			</script>
    			<?php
    			}
    		else
    			{
    			?>
    			<script type="text/javascript">
    				alert('<?php echo _RSGALLERY_ALERT_NONEWCAT; ?>');
    				location = '<?php echo sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"); ?>';
    			</script>
    			<?php
    			}
            }
		}
	//mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries") );
}

function delUserCat($catid) {
    global $database, $my, $mosConfig_absolute_path, $rsgConfig;
    
    //Get category details
    $database->setQuery("SELECT * FROM #__rsgallery2_galleries WHERE id = '$catid'");
    $rows = $database->LoadObjectList();
    foreach ($rows as $row)
        {
        $uid = $row->uid;
        $parent = $row->parent;
        }
        
    //Check if gallery has children
    $database->setQuery("SELECT count(*) FROM #__rsgallery2_galleries WHERE parent = '$catid'");
    $count = $database->loadResult();
    if ($count > 0)
        {
        mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"),_RSGALLERY_USERCAT_SUBCATS);
        }
    
    //No children from here, so lets continue
    if ($uid == $my->id OR $my->usertype == 'Super Administrator')
        {
        //Delete images
        $database->setQuery("SELECT name FROM #__rsgallery2_files WHERE gallery_id = '$catid'");
        $result = $database->loadResultArray();
        $error = 0;
        foreach ($result as $filename)
            {
            if ( !imgUtils::deleteImage($filename) ) 
                $error++;
            }
        
        //Error checking
        if ($error == 0)
            {
            //Gallery can be deleted
            $database->setQuery("DELETE FROM #__rsgallery2_galleries WHERE id = '$catid'");
            if ( !$database->query() )
                {
                //Error message, gallery could not be deleted
                mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"),_RSGALLERY_ALERT_CATDELNOTOK);
                }
            else
                {
                //Ok, goto mainpage
                mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"),_RSGALLERY_ALERT_CATDELOK);
                }
            }
        else
            {
            //There were errors. Gallery will not be deleted
            mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"),_RSGALLERY_ALERT_CATDELNOTOK);
            }
        }
    else
        {
        //Abort and return to mainscreen
        mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"),_RSGALLERY_USERCAT_NOTOWNER);
        }
}

function doFrontUpload() {
    global $rsgConfig, $my, $database, $mosConfig_absolute_path;
    
    //New instance of fileHandler
    $uploadfile = new fileHandler();
    
    //Check if maximum number of images is exceeded
    $database->setQuery("SELECT count(*) FROM #__rsgallery2_files WHERE userid = '$my->id'");
    $count = $database->loadResult();
    if ($count >= $rsgConfig->get('uu_maxImages') )
        {
        ?>
        <script type="text/javascript">
        alert('<?php echo _RSGALLERY_MAX_USERIMAGES_ALERT;?>');
        location = '<?php echo sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"); ?>';
        </script>
        <?php
        }
    else
        {
        //Get parameters from form
        if (isset($_FILES['i_file']))       $i_file = mosGetParam ( $_FILES, 'i_file'  , ''); 
        if (isset($_REQUEST['i_cat']))      $i_cat = mosGetParam ( $_REQUEST, 'i_cat'  , ''); 
        if (isset($_REQUEST['title']))      $title = mosGetParam ( $_REQUEST, 'title'  , ''); 
        if (isset($_REQUEST['descr']))      $descr = mosGetParam ( $_REQUEST, 'descr'  , ''); 
        //if (isset($_FILES['i_thumb']))      $i_thumb = mosGetParam ( $_FILES, 'i_thumb'  , ''); 
        if (isset($_REQUEST['uploader']))   $uploader = mosGetParam ( $_REQUEST, 'uploader'  , ''); 
        
    	//Check whether it is ZIP file or an image
        $file_ext = $uploadfile->checkFileType($i_file['name']);
        switch ($file_ext) {
            case 'zip':
                if ($uploadfile->checkSize($i_file) == 0)
                    {
                    $ziplist = $uploadfile->handleZIP($i_file);
                    }
                else
                    {
                    //Error message
                    echo "File is too big!";
                    }
                    
                //Import images into gallery
                for ($i=0; $i<sizeof($ziplist); $i++)
                    {
                    $import = imgUtils::importImage($mosConfig_absolute_path."/media/".$ziplist[$i]['filename'], $ziplist[$i]['filename'], $i_cat);
                    if ($import == 1)
                        if (file_exists($mosConfig_absolute_path."/media/".$ziplist[$i]['filename']))
                            unlink($mosConfig_absolute_path."/media/".$ziplist[$i]['filename']);
                    }  //End for
                mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"), _RSGALLERY_ALERT_UPLOADOK );
                break;
            case 'image':
                $file_name = $i_file['name'];
                if ( copy($i_file['tmp_name'], $mosConfig_absolute_path."/media/".$file_name) )
    				{
                    //Import into database and copy to the right places
    				$imported = imgUtils::importImage($mosConfig_absolute_path."/media/".$file_name, $file_name, $i_cat, $title, $descr);
                    
    				if ($imported == 1)
    					{
                        if (file_exists($mosConfig_absolute_path."/media/".$file_name))
                            unlink($mosConfig_absolute_path."/media/".$file_name);
    					}
                    mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"), _RSGALLERY_ALERT_UPLOADOK );
    				}
    			else
    				{
                    mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"), _RSGALLERY_ALERT_NOWRITE );
    				}
                break;
            case 'error':
                mosRedirect( sefRelToAbs("index.php?option=com_rsgallery2&page=my_galleries"), _RSGALLERY_ALERT_WRONGFORMAT );
                break;
            }//end switch
        }//end else
} //end frontupload


function viewChangelog() {
    global $mosConfig_absolute_path, $rsgConfig;

    if( !$rsgConfig->get('debug')){
        echo 'Feature only available in Debug mode.';
        return;
    }
    
    echo '<pre style="text-align: left;">';
    readfile( $mosConfig_absolute_path . '/administrator/components/com_rsgallery2/changelog.php' );
    echo '</pre>';
}
?>
