<?php
/**
* Changelog for RSGallery2
* @version $Id$
* @package RSGallery2
* @copyright (C) 2003 - 2006 RSGallery2
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* RSGallery is Free Software
**/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );
?>

Check for the latest version of RSGallery2 at http://rsgallery2.net/

1. Changelog
------------
This is a non-exhaustive but informative changelog for
RSGallery2, including alpha, beta and stable releases.
Our thanks to all those people who've contributed bug reports and
code fixes.

Legend:

* -> Security Fix
# -> Bug Fix
+ -> Addition
^ -> Change
- -> Removed
! -> Note

---------------- 1.11.8 alpha -- svn 366-- 2006-10-14 ----------------
2006-10-11 Ronald Smit
 + Added download link to display image. User can set show/hide in Configuration Area
 ! Download option does not show correct filename in Opera.

2006-10-05 Ronald Smit
 + Added download class to config.rsgallery2.php to facilicate downloads
 
2006-10-05 Jonah Braun
 ^ updated Polish and Norwegian.  Thanks: Zbyszek Rosiek and Ronny Tjelle

2006-10-04 Ronald Smit
 + Added page navigation to main gallery page.
 + Added Highslide image popup for display image 

2006-10-03 Jonah Braun
 + added Really Uninstall option.  only for *nix and default image directories at this point.

2006-10-02 Jonah Braun
 # fixed installer compatibility bug for MySQL 3.x and 4.0.x
 # fixed multiple sql file upgrading bug

2006-10-01 Ronald Smit
 # Fixed upload issues from backend and added field validation and MosToolbar support
 # Fixed My galleries link showing up when it was disabled in background. Thanks to Daniel!
 # Fixed the use of single and double quotes in Introduction text of RSGallery2.

2006-09-28 Daniel Tulp
 + added traditional Chinese language. thanks Sun
 ^ changed dutch translation credits

---------------- 1.11.8 alpha -- svn 331-- 2006-09-22 ----------------
2006-09-21 Ronald Smit
 # Fixed image description bug, thanks to "Thundernail".
 + Added upgrade routine for extra field in #__rsgallery2_galleries
 
2006-09-19 Ronald Smit
 # Fixed upload bug, refering to nonexistent isAllowedFileType function
 
2006-09-15 Ronald Smit
 + Added support for selectable thumb image for front end gallery view. Only possible in backend for now.
 + Added version.rsgallery2.php with version information class for better version checking and upgrading
 # Fixed Overlib error in backend
 
2006-09-13 Ronald Smit
 # Fixed single file upload bug in backend
 + Updated rsgallery2.xml to reflect addition of norwegian.php

2006-09-12 Jonah Braun
 + added Norwegian translation.  thanks: Steinar Vikholt

---------------- 1.11.7 alpha -- svn 317 -- 2006-09-12 ----------------

2006-09-11 Ronald Smit
 ^ Completely rewritten rsgallery2.php and rsgallery2.html.php
 + Created class galleryUtils in config.rsgallery2.php and moved all relevant functions in there
 ^ Cleaned up config.rsgallery2.php
 + Added page navigation to imagelist in My Galleries
 
2006-09-02 Ronald Smit
 + Added fileHandler class to clean up zip-handling and ftp-handling
 ! Upload system does not work through class yet, except ZIP-upload in backend.
 
2006-08-31 Ronald Smit
 * Fixed variable initialization to support Register Global Emulation to be set to Off
 
2006-08-29 Ronald Smit
 + Added the option to create square thumbnails in stead of proportional thumbs

2006-08-27 Ronald Smit
 # Fixed user uploads settings. My Galleries shows up now according to settings in background.

2006-08-26 Ronald Smit
 + Added Consolidate Database routine. Report generation, generate missing images and delete from database all work now
 # Watermarking works with gif now
 
2006-08-20 Ronald Smit
 # Fixed "font not found" error while using watermarking
 + Added font directory and arial.ttf file
 
2006-08-08 Jonah Braun
 * disabled commenting if commenting turned off

---------------- 1.11.6 alpha -- svn 299 -- 2006-07-21 ------------------

2006-07-21 Jonah Braun
 # fixed gallery add/edit toolbar bug

---------------- 1.11.5 alpha -- svn 298 -- 2006-07-20 ------------------

2006-07-20 Jonah Braun
 + added view changelog feature for frontend (must be in debug mode)
 ^ eliminated RSG2 path, Joomla path used now.  thanks: Jeckel
 # fixed gallery thumbnail + Joomfish bug.  thanks: Carsten Nikiel

2006-07-20 Jonah Braun
 + backend pathway hack when using $rsgOption
 # fixed category name display in pathway.  thanks: Brad Waite
 # fixed category name display in category listing.  thanks: TonyW

2006-07-09 Ronald Smit
 + Basic Watermarking added, only jpg for now and only on the display image

2006-07-04 Jonah Braun
 ^ updated spanish translation
 ^ updated french translation

---------------- 1.11.4 alpha -- svn 285 -- 2006-06-29 ------------------

2006-06-29 Jonah Braun
 * hardened language files
 + added Spanish translation

---------------- 1.11.3 alpha -- svn 280 -- 2006-06-29 ------------------

2006-06-29 Dani� Tulp
 * secured rsgallery2.html.php against possible execution of arbitrary code.

2006-06-16 Jonah Braun
 ^ default name for image is now filename minus extension

---------------- 1.11.2 alpha -- svn 0272 -- 2006-06-13 ------------------

2006-06-13 Jonah Braun
 # fixed gallery filter and move options in Manage Images
 # replaced config.rsgallery2.php:showCategories2() with galleriesSelectList().  this fixes various bugs when selecting a gallery

---------------- 1.11.1 alpha -- svn 0269 -- 2006-06-08 ------------------

2006-06-08 Jonah Braun
 # fixed bug where 1.11.0 created #__rsgallery2_cats by mistake on new installs

---------------- 1.11.0 alpha -- svn 0269 -- 2006-06-08 ------------------

2006-06-07 Jonah Braun
 + new galleries integrated.  sql migration script added.
 + added the new RSG2 logo.  Congrats to Cory "ccdog" Webb for winning the contest!

2006-06-02 Jonah Braun
 + CZECH language

2006-05-26 Jonah Braun
 + new galleries prototype now available.  this should not interfer with the old categories...yet.

2006-05-23 Jonah Braun
 # MacOSX zip files with resource fork information now work

---------------- 1.10.14 alpha -- svn 0244 -- 2006-05-12 ------------------

2006-05-12 Jonah Braun
 + install.class.php now can use sql files for install/imports.  admin:sql/rsgallery2.sql is the sql install file.

2006-05-10 Kaleb Stolee
 + akogallery migration now works.

---------------- 1.10.13 alpha -- svn 0234 -- 2006-05-04 ------------------

2006-05-04 Jonah Braun
 ^ streamlined install routine.  upgrades are now done without asking.

2006-04-28 Dani� Tulp
 + Itemid variable added, Itemid of component is now used throughout the gallery

2006-04-20 Jonah Braun
 ^ backend gallery listing now unlimited.  this is a kludge, overall still buggy

---------------- 1.10.11 alpha -- svn 0215 -- 2006-04-17 ------------------

2006-04-17 Themba Mdakane
 ^ made frontend branding optional

2006-04-17 Jonah Braun
 + added german and brazilian portuguese

---------------- 1.10.10 alpha -- svn 0211 -- 2006-04-15 ------------------

2006-04-15 Jonah Braun
 + added raw config editor
 + added class rsgGallery along with improved gallery editing, WYSIWYG support to come soon
 + new options for thumbnail display: float and table
 ^ made Purge Everything more thorough

2006-04-10 Jonah Braun
 + added new credits tab to the control panel

---------------- 1.10.9 alpha -- svn 0201 -- 2006-04-08 ------------------

2006-04-08 Jonah Braun
 # many small bug fixes
 # version number is accurate after upgrading
 ^ frontend gallery thumbnail display made better, not finished yet though...
 ^ backend config updated

---------------- 1.10.8 alpha -- svn 0195 -- 2006-04-04 ------------------

2006-04-04 Jonah Braun
 ^ changed control panel to be more consistant with Joomla!s.
 + added admin.rsgallery2.css
 + added View rsgConfig, this will become a raw configuration editor for debuging
 # version number now accurate after an upgrade

2006-04-01 Jonah Braun
 # added missing quotes to russian translation
 # fix for ftp upload from http://rsgallery2.net/component/option,com_simpleboard/func,view/id,487/catid,3/

---------------- 1.10.7 alpha -- svn 0185 -- 2006-03-24 ------------------

2006-03-23 Jonah Braun
 + thumbnail and other frontend bits rewritten in semantic html and css

2006-03-23 Jonah Braun
 + gallery listing rewritten in semantic html and css

---------------- 1.10.6 alpha -- svn 0174 -- 2006-03-04 ------------------

2006-03-03 Jonah Braun
 + Netpbm rewrite complete.  works for all supported image types.
 ^ fixed artf3775: category reording fails

---------------- 1.10.5 alpha -- svn 0171 -- 2006-03-04 ------------------

2006-03-02 Ronald Smit
 # ZIP-upload for frontend fixed
 # Category creation in frontend is fixed
 ^ Voting and commenting is now possible anonymously
 ^ Thumbnail in gallery main screen is now showing with right dimensions

2006-02-28 Jonah Braun
 ^ fixed artf3053: saving config says fails but actually saves
 + added view changelog feature

2006-02-24 Jonah Braun
 ^ streamlined installation, there is now one less step.
 + migration plugin arch is now functional

2006-02-23 Jonah Braun
 ^ instances of "settings" renamed "config[uration]"

---------------- 1.10.2 alpha -- svn 0146 -- 2006-02-15 ------------------

2006-02-15 Jonah Braun
 + GD2 and ImageMagick now support all common web image formats.

2006-02-12 Jonah Braun
 + added changelog.php, imported previous changelog.txt
 - removed changelog.txt

---------------- 1.10.1 alpha -- svn 0136 -- 2006-02-11 ------------------

2006-01 Ronald Smit
 + rewrote installation and migration routines
 ^ component, files and database tables renamed to rsgallery2

2006-01 Jonah Braun
 + rewrote all image utility functions.  currently only JPEG with the GD2 library supported

---------------- 1.9.5 alpha -- 2005-10-13 ------------------

2005-10 Jonah Braun
 ^ cleaned img.utils.php
 + rewrote imgUtils::makeThumb()

2005-10 Ronald Smit
 + Rewritten and completed FTP upload code
 + Rewritten saveConfig to match new values in settings.rsgallery.php
 + Added extra field to match $thumbpath in settings.rsgallery.php
 + Populated latest images and latest categories in Control Panel

---------------- 1.9.4 alhpa -- 2005-10-08 ------------------

2005-10 Jonah Braun
 ^ moved is_uploaded_file() check from importImage() to calling function

2005-10 Ronald Smit
 + ZIP upload rewrite complete
 + Added recent images and recent categories overview in Control Panel
 ^ Rewritten some toolbar layouts

2005-10 Tomislav Ribicic
 + added changelog.txt

---------------- 1.9.0-4 alphas -- 2005-09 ------------------

2005 Jonah Braun
 + major reorganization of code

----- RSGallery2 for Joomla! started by Tomislav Ribicic, Jonah Braun circa. 2005-08-17 -----

----- Maintaince and enhancements by Andy "Troozers" Stewart, Richard Foster -----

----- Original RSGallery for Mambo created by Ronald Smit circa. 2004-03-01 -----


2. Copyright and disclaimer
---------------------------
This application is opensource software released under the GPL.  Please
see source code and http://www.gnu.org/copyleft/gpl.html
