<?php
/**
* This file contains the install routine for RSGallery2
* @version $Id$
* @package RSGallery2
* @copyright (C) 2003 - 2006 RSGallery2
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* RSGallery is Free Software
**/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

function com_install(){
    global $database, $mosConfig_absolute_path;
    require_once( $mosConfig_absolute_path . '/administrator/components/com_rsgallery2/includes/install.class.php' );
    
    $rsgInstall = new rsgInstall();
    
    $rsgInstall->changeMenuIcon();
    
    $migrate_com_rsgallery = new migrate_com_rsgallery();
    
    if( $migrate_com_rsgallery->detect() ){
        $rsgInstall->writeInstallMsg( 'Migrating from RSGallery2 ' . $rsgConfig->get( 'version' ), 'ok');

        $result = $migrate_com_rsgallery->migrate();
        
        if( $result === true ){
            $rsgInstall->writeInstallMsg( 'Success.  Now using RSGallery2 ' . $rsgConfig->get( 'version' ), 'ok');
        }
        else{
            $result = print_r( $result, true );
            $rsgInstall->writeInstallMsg( "Failure:\n<br><pre>$result\n</pre>", 'error');
        }
    }
    else{
        $rsgInstall->freshInstall();
    }
}
?>