<?php
/**
* RSGallery Toolbar Menu HTML
* @version $Id$
* @package RSGallery2
* @copyright (C) 2003 - 2006 RSGallery2
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
**/

// ensure this file is being included by a parent file
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

class menu_rsg2_galleries{
    function show(){
        mosMenuBar::startTable();
        mosMenuBar::spacer();
        mosMenuBar::publishList();
        mosMenuBar::spacer();
        mosMenuBar::unpublishList();
        mosMenuBar::spacer();
        mosMenuBar::editListX();
        mosMenuBar::spacer();
        mosMenuBar::deleteList();
        mosMenuBar::spacer();
        mosMenuBar::addNewX();
        mosMenuBar::spacer();
        mosMenuBar::help( 'screen.rsgallery2' );
        mosMenuBar::endTable();
    }
    function edit() {
        global $id;

        mosMenuBar::startTable();
        mosMenuBar::save();
        mosMenuBar::spacer();
        if ( $id ) {
            // for existing content items the button is renamed `close`
            mosMenuBar::cancel( 'cancel', 'Close' );
        } else {
            mosMenuBar::cancel();
        }
        mosMenuBar::spacer();
        mosMenuBar::help( 'screen.rsgallery2.edit' );
        mosMenuBar::endTable();
    }
}

class menuRSGallery {

    function adminTasksMenu(){
//         mosMenuBar::startTable();
        mosMenuBar::spacer();
        mosMenuBar::spacer();
        mosMenuBar::divider();
        mosMenuBar::spacer();
        mosMenuBar::spacer();
        mosMenuBar::custom('controlPanel', '../components/com_rsgallery2/images/rsg2-cpanel.png', '../components/com_rsgallery2/images/rsg2-cpanel.png', 'Panel', false);
        mosMenuBar::custom('view_categories', '../components/com_rsgallery2/images/rsg2-categories.png', '../components/com_rsgallery2/images/rsg2-categories.png', 'Categories', false);
        mosMenuBar::custom('view_images', '../components/com_rsgallery2/images/rsg2-mediamanager.png', '../components/com_rsgallery2/images/rsg2-mediamanager.png', 'Images', false);
        mosMenuBar::custom('upload', 'upload_f2.png', 'upload_f2.png', 'Upload', false);
        mosMenuBar::endTable();
    }
    
    function CPANEL_MENU(){
        mosMenuBar::startTable();
        mosMenuBar::help('screen.rsgallery2', true);
        mosMenuBar::spacer();
        mosMenuBar::endTable();
        }
    
    function NEW_MENU()
        {
        mosMenuBar::startTable();
        mosMenuBar::save();
        mosMenuBar::cancel();
        mosMenuBar::spacer();
        mosMenuBar::endTable();
        }

    function EDIT_MENU()
        {
        mosMenuBar::startTable();
        mosMenuBar::save('save_image');
        mosMenuBar::cancel('view_images');
        mosMenuBar::spacer();
        mosMenuBar::endTable();
        }
    
    function BATCH_MENU()
        {
        mosMenuBar::startTable();
        mosMenuBar::custom('controlPanel', '../components/com_rsgallery2/images/rsg2-cpanel.png', '../components/com_rsgallery2/images/rsg2-cpanel.png', 'CPanel', false);
        mosMenuBar::spacer();
        mosMenuBar::divider();
        mosMenuBar::spacer();

        mosMenuBar::custom('batchupload','next_f2.png','next_f2.png','Next', false);
        //mosMenuBar::save('save_image');
        //mosMenuBar::cancel();
        //mosMenuBar::back();
        mosMenuBar::spacer();
        mosMenuBar::help('screen.rsgallery2', true);
        mosMenuBar::endTable();
        }
    
    function UPLOAD_MENU()
        {
        mosMenuBar::startTable();
        mosMenuBar::custom('controlPanel', '../components/com_rsgallery2/images/rsg2-cpanel.png', '../components/com_rsgallery2/images/rsg2-cpanel.png', 'CPanel', false);
        mosMenuBar::spacer();
        mosMenuBar::divider();
        mosMenuBar::spacer();
        mosMenuBar::custom('upload','upload_f2.png','upload_f2.png','Upload', false);
        //mosMenuBar::save('upload');
        mosMenuBar::cancel();
        mosMenuBar::spacer();
        mosMenuBar::endTable();
        }
    
    function VIEW_IMAGES_MENU()
        {
        mosMenuBar::startTable();
        mosMenuBar::addNew('upload');
        mosMenuBar::editList('edit_image');
        mosMenuBar::deleteList( '', 'delete_image', 'Delete' );
        menuRSGallery::adminTasksMenu();
        }
        
    function VIEW_CAT_MENU()
        {
        mosMenuBar::startTable();
        mosMenuBar::addNew('new_category');
        mosMenuBar::editList('edit_category');
        mosMenuBar::deleteList();
        mosMenuBar::cancel();
        menuRSGallery::adminTasksMenu();
        }
    
    function NEWCAT_MENU()
        {
        mosMenuBar::startTable();
        mosMenuBar::save('save_category');
        mosMenuBar::cancel();
        mosMenuBar::spacer();
        mosMenuBar::endTable();
        }
        
    function EDITCAT_MENU()
        {
        mosMenuBar::startTable();
        mosMenuBar::save('save_category');
        mosMenuBar::cancel();
        mosMenuBar::spacer();
        mosMenuBar::endTable();
        }
    function config_rawEdit(){
        mosMenuBar::startTable();
        mosMenuBar::apply('config_rawEdit_apply');
        mosMenuBar::save('config_rawEdit_save');
        mosMenuBar::cancel();
        mosMenuBar::spacer();
        mosMenuBar::endTable();
    }
    function CONFIG_MENU()
        {
        mosMenuBar::startTable();
        mosMenuBar::custom('controlPanel', '../components/com_rsgallery2/images/rsg2-cpanel.png', '../components/com_rsgallery2/images/rsg2-cpanel.png', 'CPanel', false);
        mosMenuBar::spacer();
        mosMenuBar::divider();
        mosMenuBar::spacer();
        mosMenuBar::apply('applyConfig');
        mosMenuBar::save('saveConfig');
        mosMenuBar::cancel();
        mosMenuBar::help('screen.rsgallery2', true);
        //menuRSGallery::adminTasksMenu();
        mosMenuBar::spacer();
        mosMenuBar::endTable();
        }
    function SIMPLE_MENU(){
        mosMenuBar::startTable();
        mosMenuBar::custom('controlPanel', '../components/com_rsgallery2/images/rsg2-cpanel.png', '../components/com_rsgallery2/images/rsg2-cpanel.png', 'CPanel', false);
        mosMenuBar::spacer();
        mosMenuBar::divider();
        mosMenuBar::spacer();
        mosMenuBar::help('screen.rsgallery2', true);
        mosMenuBar::endTable();
    }
}
?>