<?php
/**
* RSGallery2 Toolbar Menu
* @version $Id$
* @package RSGallery2
* @copyright (C) 2003 - 2006 RSGallery2
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
**/

// ensure this file is being included by a parent file
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

// RSG2 is a metacomponent.  joomla calls components options, RSG2 calls it's components rsgOptions
if( isset( $_REQUEST['rsgOption'] ))
    $rsgOption = $_REQUEST['rsgOption'];
else
    $rsgOption = '';

require_once( $mainframe->getPath( 'toolbar_html' ) );
require_once( $mainframe->getPath( 'toolbar_default' ) );

switch( $rsgOption ){
    case 'galleries':
        switch( $task ){
            case 'new':
            case 'edit':
            case 'editA':
                menu_rsg2_galleries::edit( $option );
            break;
            default:
                menu_rsg2_galleries::show( $option );
            break;
        }
    break;
}

// only use the legacy task switch if rsgOption is not used.
if( $rsgOption == '' )
switch ($task){
    case 'galleries_show':
        menuRSGallery::galleries_show();
    break;
    
    case 'viewChangelog':
        menuRSGallery::SIMPLE_MENU();
        break;
    case "new":
        menuRSGallery::NEW_MENU();
        break;

    case "edit_image":
        menuRSGallery::EDIT_MENU();
        break;
            
    case "upload":
        menuRSGallery::UPLOAD_MENU();
        break;

    case "delete_image":
    case "move_image":
    case "save_image":
    case "save_batchupload":
    case "view_images":
    case "images_orderup":
    case "images_orderdown":
        menuRSGallery::VIEW_IMAGES_MENU();
        break;

    case "publish":
    case "unpublish":
    case "test":
    case "cancel":
    case "remove":
    case "save_category":
    case "view_categories":
    case "categories_orderup":
    case "categories_orderdown":
        menuRSGallery::VIEW_CAT_MENU();
        break;

    case "new_category":
        menuRSGallery::NEWCAT_MENU();
        break;

    case "edit_category":
        menuRSGallery::EDITCAT_MENU();
        break;

    case "batchupload":
        menuRSGallery::BATCH_MENU();
        break;

    case 'applyConfig':
    case "showConfig":
        menuRSGallery::CONFIG_MENU();
        break;

    case 'config_rawEdit_apply':
    case 'config_rawEdit':
        menuRSGallery::config_rawEdit();
        break;

    case 'config_rawEdit_save':
    case 'saveConfig':
    case 'regen_thumbs':
    case "migration":
    case 'purgeEverything':
    case "controlPanel":
    default:
        menuRSGallery::CPANEL_MENU();
        break;
        
//     unknown
    case "import_captions":
    case "consolidate_db_go":
    case "consolidate_db":
    case "install":
}
?>